Skip to content

getQuoteLines

READ

Get quote lines.

POST /api/v1/sales/getQuoteLines
curl -X POST '<your-host>/api/v1/sales/getQuoteLines' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "quoteId": "string"
  }'
Response
{
  "results": [
    {
      "additionalCharges": "…",
      "companyId": "string",
      "configuration": "…",
      "createdBy": "string",
      "customerPartId": "string",
      "customerPartRevision": "string",
      "customFields": "…",
      "description": "string",
      "estimatorId": "string",
      "externalNotes": "…",
      "id": "string",
      "internalNotes": "…",
      "itemId": "string",
      "itemReadableId": "string",
      "itemType": "string",
      "locationId": "string",
      "methodType": "Purchase to Order",
      "noQuoteReason": "string",
      "priceTrace": "…",
      "pricingRuleId": "string",
      "quantity": [
        0
      ],
      "quoteId": "string",
      "quoteRevisionId": 0,
      "sortOrder": 0,
      "status": "In Progress",
      "tags": [
        "string"
      ],
      "taxPercent": 0,
      "thumbnailPath": "string",
      "unitCost": 0,
      "unitOfMeasureCode": "string",
      "unitPricePrecision": 0,
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "quoteId": {
      "type": "string"
    }
  },
  "required": [
    "quoteId"
  ]
}